Bug 11035 - make check failure
make check failure
Status: RESOLVED FIXED
Product: rsync
Classification: Unclassified
Component: core
3.1.1
x64 Mac OS X
: P5 critical
: ---
Assigned To: Wayne Davison
Rsync QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-06 17:41 UTC by Jonathan S. Abrams
Modified: 2015-07-14 00:50 UTC (History)
1 user (show)

See Also:


Attachments
Output of the entire Terminal session for ./configure, make, and make check. (25.57 KB, text/plain)
2015-01-06 17:41 UTC, Jonathan S. Abrams
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan S. Abrams 2015-01-06 17:41:20 UTC
Created attachment 10582 [details]
Output of the entire Terminal session for ./configure, make, and make check.

Attempts to compile rsync 3.1.1 on OS X Mavericks v10.9.4 resulted in the following warnings during the make process.
--
gcc -I. -I. -I./zlib -I./popt -g -O2 -DHAVE_CONFIG_H -Wall -W  -c uidlist.c -o uidlist.o
uidlist.c:533:44: warning: passing 'gid_t *' (aka 'unsigned int *') to parameter of type 'int *' converts between pointers to integer types with different sign [-Wpointer-sign]
        if (getgrouplist(pw->pw_name, pw->pw_gid, gid_list, size_ptr) < 0)
                                                  ^~~~~~~~
/usr/include/unistd.h:648:43: note: passing argument to parameter here
int      getgrouplist(const char *, int, int *, int *);
                                              ^
1 warning generated.
--
gcc -I. -I. -I./zlib -I./popt -g -O2 -DHAVE_CONFIG_H -Wall -W  -c acls.c -o acls.o
acls.c:742:84: warning: unused parameter 'mode' [-Wunused-parameter]
static int recv_rsync_acl(int f, item_list *racl_list, SMB_ACL_TYPE_T type, mode_t mode)
                                                                                   ^
1 warning generated.
--

I do not know if the warning above contributed to this failure during the make check process.
--
check how the files compare with diff:

-------------
Failed:  dir-diff
 failed!
----- relative log ends
FAIL    relative
Comment 1 Wayne Davison 2015-07-12 21:01:10 UTC
This was a rare failure that could happen when the clock rolls over to the next second between the 2 symlink-creation commands:

ln $deepstr/filelist $deepstr/dir
ln ../chk/$deepstr/filelist ../chk/$deepstr/dir

I've added a touch -r (similar to other spots in the tests) to ensure that the 2 "dir" subdirs end up with the same time.
Comment 2 Jonathan S. Abrams 2015-07-14 00:50:38 UTC
When will v3.1.2, or some other version with this fix, be released to the public?